org.apache.fop.afp

## Class AFPResourceInfo

- java.lang.Object
- - org.apache.fop.afp.AFPResourceInfo

    public class AFPResourceInfo
    extends Object

The level at which a resource is to reside in the AFP output

### Field Summary

Fields
`static AFPResourceLevel` `DEFAULT_LEVEL` the general default resource level

### Constructor Summary

Constructors
Constructor and Description
`AFPResourceInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Dimension` `getImageDimension()` Returns an optional image dimension (in page coordinates).
`AFPResourceLevel` `getLevel()` Returns the resource level
`String` `getName()` Returns the resource reference name
`String` `getUri()` Returns the URI of this data object.
`int` `hashCode()`
`boolean` `levelChanged()` Returns true when the resource level was set
`void` `setImageDimension(Dimension dim)` Sets an optional image dimension (in page coordinates).
`void` `setLevel(AFPResourceLevel resourceLevel)` Sets the resource level
`void` `setName(String resourceName)` Sets the resource reference name
`void` `setUri(String uri)` Sets the data object URI.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_LEVEL

    public static final AFPResourceLevel DEFAULT_LEVEL

the general default resource level

### Constructor Detail

#### AFPResourceInfo

    public AFPResourceInfo()

### Method Detail

#### setUri

    public void setUri(String uri)

Sets the data object URI.

Parameters:
  `uri` - the data object URI

#### getUri

    public String getUri()

Returns the URI of this data object.

Returns:
  the URI of this data object

#### setImageDimension

    public void setImageDimension(Dimension dim)

Sets an optional image dimension (in page coordinates). This is only used if a page segment is created for this resource as page segments cannot be rescaled for painting.

Parameters:
  `dim` - the image dimension (in page coordinates)

#### getImageDimension

    public Dimension getImageDimension()

Returns an optional image dimension (in page coordinates). This is only used if a page segment is created for this resource as page segments cannot be rescaled for painting.

Returns:
  the image dimension (or null if not applicable)

#### setName

    public void setName(String resourceName)

Sets the resource reference name

Parameters:
  `resourceName` - the resource reference name

#### getName

    public String getName()

Returns the resource reference name

Returns:
  the resource reference name

#### getLevel

    public AFPResourceLevel getLevel()

Returns the resource level

Returns:
  the resource level

#### setLevel

    public void setLevel(AFPResourceLevel resourceLevel)

Sets the resource level

Parameters:
  `resourceLevel` - the resource level

#### levelChanged

    public boolean levelChanged()

Returns true when the resource level was set

Returns:
  true when the resource level was set

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`